Public Attributes | List of all members
_adc_handle Struct Reference
Peripheral Driver » HAL Driver » ADC » Structures » ADC Handle

ADC handle Structure definition. More...

`#include <gr55xx_hal_adc.h>`

Collaboration diagram for _adc_handle:
[legend]

## Public Attributes
adc_init_t | init
| ADC configuration parameters More...
uint16_t * | p_buffer
| Pointer to ADC conversion buffer More...
__IO uint32_t | buff_size
| Conversion buffer size More...
__IO uint32_t | buff_count
| Conversion buffer counter More...
dma_handle_t * | p_dma
| ADC DMA Handle parameters More...
__IO hal_lock_t | lock
| Locking object More...
__IO hal_adc_state_t | state
| ADC communication state More...
__IO uint32_t | error_code
| ADC error code More...
uint32_t | retention [2]
| ADC important register information. More...

## Detailed Description

ADC handle Structure definition.

Definition at line 129 of file gr55xx_hal_adc.h.

## Member Data Documentation

## ◆ buff_count

__IO uint32_t _adc_handle::buff_count

Conversion buffer counter

Definition at line 137 of file gr55xx_hal_adc.h.

## ◆ buff_size

__IO uint32_t _adc_handle::buff_size

Conversion buffer size

Definition at line 135 of file gr55xx_hal_adc.h.

## ◆ error_code

__IO uint32_t _adc_handle::error_code

ADC error code

Definition at line 145 of file gr55xx_hal_adc.h.

## ◆ init

adc_init_t _adc_handle::init

ADC configuration parameters

Definition at line 131 of file gr55xx_hal_adc.h.

## ◆ lock

__IO hal_lock_t _adc_handle::lock

Locking object

Definition at line 141 of file gr55xx_hal_adc.h.

## ◆ p_buffer

uint16_t* _adc_handle::p_buffer

Pointer to ADC conversion buffer

Definition at line 133 of file gr55xx_hal_adc.h.

## ◆ p_dma

dma_handle_t* _adc_handle::p_dma

ADC DMA Handle parameters

Definition at line 139 of file gr55xx_hal_adc.h.

## ◆ retention

uint32_t _adc_handle::retention[2]

ADC important register information.

Definition at line 147 of file gr55xx_hal_adc.h.

## ◆ state

__IO hal_adc_state_t _adc_handle::state

ADC communication state

Definition at line 143 of file gr55xx_hal_adc.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_adc.h